İçeriğe geç
Dokümantasyon
GeliştiricilerAPI başvurusuWebhook'lar

Webhook aboneliğini güncelle

PUT
/v1/public-api/webhooks/{uuid}

Kapsam: webhooks:write. Ad, adres, olaylar ve etkinlik durumunu değiştirir; imza anahtarı değişmez. Idempotency-Key zorunludur.

Yetkilendirme

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Yol parametreleri

uuid*string
Formatuuid

Başlık parametreleri

Idempotency-Key*string
Lengthlength <= 200

İstek gövdesi

application/json
  1. body
name*string
Length1 <= length <= 120
url*string

Herkese açık HTTPS adresi. Özel adresler, yönlendirmeler ve DNS rebinding engellenir.

Formaturi
events*array<string>
Items1 <= items
enabled*boolean

Response Body

Başarılı

application/json
  1. response
success*boolean
data*unknown
meta?
Örnek istek
curl -X PUT 'https://api.getclickfix.com/v1/public-api/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "name": "ERP sync",  "url": "https://erp.example.com/clickfix/webhook",  "events": [    "conversation.created",    "conversation.resolved",    "message.received"  ],  "enabled": true}'
Örnek yanıt
{  "success": true,  "data": {    "uuid": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",    "name": "ERP sync",    "url": "https://erp.example.com/clickfix/webhook",    "events": [      "conversation.created",      "conversation.resolved",      "message.received"    ],    "enabled": true,    "created_at": "2026-11-01T10:00:00Z"  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}